$! BILL_BY_GROUP.COM
$! 03-10-1995, David Mathog, Biology Division, Caltech
$!
$! Infile must be a SUMMINUTE format file.  User names are converted
$! to group names, the group records pooled, then costs calculated.
$!
$! P1 is input file, if present, otherwise, default is SUMMINUTE
$! P2 is output file, if present, otherwise, default is GROUP_BILLING
$!
$!
$ if(F$TRNLNM("SEAT") .eqs. "")
$ then
$   write sys$output "Fatal error, the logical SEAT is not defined"
$   exit
$ endif
$!
$ if("''P1'" .nes. "")
$ then
$   modfile = P1
$ else
$   modfile = "SUMMINUTE"
$ endif
$ if("''P2'" .nes. "")
$ then
$   outfile = P2
$ else
$   outfile = "GROUP_BILLING"
$ endif
$!
$ @seat:group_for_user 'modfile' temp.sum
$!
$! merge the records
$!
$ define/user SUMMINUTE temp.sum
$ define/user PAYMINUTE temp.pay
$ run seat:sum2pay
$!
$! calculate the costs
$!
$ define/user PAYMINUTE temp.pay
$ define/user BILLING   temp.sort
$ define/user COST      SEAT:cost.dat
$ run seat:pay2cost
$!
$! sort them into alphabetical order
$!
$ sort/key=(pos:1,size:8) temp.sort 'outfile'
$!
$! clean up
$!
$ delete/nolog temp.pay.
$ delete/nolog temp.sum.
$ delete/nolog temp.sort.
$!
$ write sys$Output "Group billing completed"
